import request from '@/utils/request'

// 查询分账明细列表
export function listDivItem(query) {
  return request({
    url: '/his/divItem/list',
    method: 'get',
    params: query
  })
}

// 查询分账明细详细
export function getDivItem(id) {
  return request({
    url: '/his/divItem/' + id,
    method: 'get'
  })
}

// 新增分账明细
export function addDivItem(data) {
  return request({
    url: '/his/divItem',
    method: 'post',
    data: data
  })
}

// 修改分账明细
export function updateDivItem(data) {
  return request({
    url: '/his/divItem',
    method: 'put',
    data: data
  })
}

// 删除分账明细
export function delDivItem(id) {
  return request({
    url: '/his/divItem/' + id,
    method: 'delete'
  })
}

// 导出分账明细
export function exportDivItem(query) {
  return request({
    url: '/his/divItem/export',
    method: 'get',
    params: query
  })
}

// 延迟分账确认
export function confirm(data) {
  return request({
    url: '/his/divItem/confirm',
    method: 'post',
    data: data
  })
}
